$AdfDhtmlInputNumberSliderPeer$$.$_SUB_ID_MAP$ = {thumb:"thumb", increase:"increase", decrease:"decrease", bar:"bar"};
$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputNumberSliderPeer$$$$$GetSubIdDomElement$$($subElementId$$20$$) {
  var $component$$1821$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$20$$, $AdfDhtmlInputNumberSliderPeer$$.$_SUB_ID_MAP$, $component$$1821$$, this, $AdfDhtmlInputNumberSliderPeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSliderPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputNumberSliderPeer$$$$$GetBestMatchSubId$$($domElement$$561$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$561$$, this, $AdfDhtmlInputNumberSliderPeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputNumberSliderPeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputNumberSliderPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputNumberSliderPeer$$.prototype.$GetBestMatchSubId$});
